// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: generationmodule/generationmodule.proto

package openfmb.generationmodule;

public interface GenerationPointOrBuilder extends
    // @@protoc_insertion_point(interface_extends:generationmodule.GenerationPoint)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * Black start enable
   * </pre>
   *
   * <code>.commonmodule.ControlSPC blackStartEnabled = 1;</code>
   * @return Whether the blackStartEnabled field is set.
   */
  boolean hasBlackStartEnabled();
  /**
   * <pre>
   * Black start enable
   * </pre>
   *
   * <code>.commonmodule.ControlSPC blackStartEnabled = 1;</code>
   * @return The blackStartEnabled.
   */
  openfmb.commonmodule.ControlSPC getBlackStartEnabled();
  /**
   * <pre>
   * Black start enable
   * </pre>
   *
   * <code>.commonmodule.ControlSPC blackStartEnabled = 1;</code>
   */
  openfmb.commonmodule.ControlSPCOrBuilder getBlackStartEnabledOrBuilder();

  /**
   * <pre>
   * Enable frequency set point
   * </pre>
   *
   * <code>.commonmodule.ControlSPC frequencySetPointEnabled = 2;</code>
   * @return Whether the frequencySetPointEnabled field is set.
   */
  boolean hasFrequencySetPointEnabled();
  /**
   * <pre>
   * Enable frequency set point
   * </pre>
   *
   * <code>.commonmodule.ControlSPC frequencySetPointEnabled = 2;</code>
   * @return The frequencySetPointEnabled.
   */
  openfmb.commonmodule.ControlSPC getFrequencySetPointEnabled();
  /**
   * <pre>
   * Enable frequency set point
   * </pre>
   *
   * <code>.commonmodule.ControlSPC frequencySetPointEnabled = 2;</code>
   */
  openfmb.commonmodule.ControlSPCOrBuilder getFrequencySetPointEnabledOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.google.protobuf.FloatValue pctHzDroop = 3;</code>
   * @return Whether the pctHzDroop field is set.
   */
  boolean hasPctHzDroop();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.google.protobuf.FloatValue pctHzDroop = 3;</code>
   * @return The pctHzDroop.
   */
  com.google.protobuf.FloatValue getPctHzDroop();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.google.protobuf.FloatValue pctHzDroop = 3;</code>
   */
  com.google.protobuf.FloatValueOrBuilder getPctHzDroopOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.google.protobuf.FloatValue pctVDroop = 4;</code>
   * @return Whether the pctVDroop field is set.
   */
  boolean hasPctVDroop();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.google.protobuf.FloatValue pctVDroop = 4;</code>
   * @return The pctVDroop.
   */
  com.google.protobuf.FloatValue getPctVDroop();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.google.protobuf.FloatValue pctVDroop = 4;</code>
   */
  com.google.protobuf.FloatValueOrBuilder getPctVDroopOrBuilder();

  /**
   * <pre>
   * Ramp rates
   * </pre>
   *
   * <code>.commonmodule.RampRate rampRates = 5;</code>
   * @return Whether the rampRates field is set.
   */
  boolean hasRampRates();
  /**
   * <pre>
   * Ramp rates
   * </pre>
   *
   * <code>.commonmodule.RampRate rampRates = 5;</code>
   * @return The rampRates.
   */
  openfmb.commonmodule.RampRate getRampRates();
  /**
   * <pre>
   * Ramp rates
   * </pre>
   *
   * <code>.commonmodule.RampRate rampRates = 5;</code>
   */
  openfmb.commonmodule.RampRateOrBuilder getRampRatesOrBuilder();

  /**
   * <pre>
   * Enable reactive power set point
   * </pre>
   *
   * <code>.commonmodule.ControlSPC reactivePwrSetPointEnabled = 6;</code>
   * @return Whether the reactivePwrSetPointEnabled field is set.
   */
  boolean hasReactivePwrSetPointEnabled();
  /**
   * <pre>
   * Enable reactive power set point
   * </pre>
   *
   * <code>.commonmodule.ControlSPC reactivePwrSetPointEnabled = 6;</code>
   * @return The reactivePwrSetPointEnabled.
   */
  openfmb.commonmodule.ControlSPC getReactivePwrSetPointEnabled();
  /**
   * <pre>
   * Enable reactive power set point
   * </pre>
   *
   * <code>.commonmodule.ControlSPC reactivePwrSetPointEnabled = 6;</code>
   */
  openfmb.commonmodule.ControlSPCOrBuilder getReactivePwrSetPointEnabledOrBuilder();

  /**
   * <pre>
   * Enable joint real power set point
   * </pre>
   *
   * <code>.commonmodule.ControlSPC realPwrSetPointEnabled = 7;</code>
   * @return Whether the realPwrSetPointEnabled field is set.
   */
  boolean hasRealPwrSetPointEnabled();
  /**
   * <pre>
   * Enable joint real power set point
   * </pre>
   *
   * <code>.commonmodule.ControlSPC realPwrSetPointEnabled = 7;</code>
   * @return The realPwrSetPointEnabled.
   */
  openfmb.commonmodule.ControlSPC getRealPwrSetPointEnabled();
  /**
   * <pre>
   * Enable joint real power set point
   * </pre>
   *
   * <code>.commonmodule.ControlSPC realPwrSetPointEnabled = 7;</code>
   */
  openfmb.commonmodule.ControlSPCOrBuilder getRealPwrSetPointEnabledOrBuilder();

  /**
   * <pre>
   * Reset device
   * </pre>
   *
   * <code>.commonmodule.ControlSPC reset = 8;</code>
   * @return Whether the reset field is set.
   */
  boolean hasReset();
  /**
   * <pre>
   * Reset device
   * </pre>
   *
   * <code>.commonmodule.ControlSPC reset = 8;</code>
   * @return The reset.
   */
  openfmb.commonmodule.ControlSPC getReset();
  /**
   * <pre>
   * Reset device
   * </pre>
   *
   * <code>.commonmodule.ControlSPC reset = 8;</code>
   */
  openfmb.commonmodule.ControlSPCOrBuilder getResetOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.Optional_StateKind state = 9;</code>
   * @return Whether the state field is set.
   */
  boolean hasState();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.Optional_StateKind state = 9;</code>
   * @return The state.
   */
  openfmb.commonmodule.Optional_StateKind getState();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.Optional_StateKind state = 9;</code>
   */
  openfmb.commonmodule.Optional_StateKindOrBuilder getStateOrBuilder();

  /**
   * <pre>
   * Synchronize back to grid
   * </pre>
   *
   * <code>.commonmodule.ControlSPC syncBackToGrid = 10;</code>
   * @return Whether the syncBackToGrid field is set.
   */
  boolean hasSyncBackToGrid();
  /**
   * <pre>
   * Synchronize back to grid
   * </pre>
   *
   * <code>.commonmodule.ControlSPC syncBackToGrid = 10;</code>
   * @return The syncBackToGrid.
   */
  openfmb.commonmodule.ControlSPC getSyncBackToGrid();
  /**
   * <pre>
   * Synchronize back to grid
   * </pre>
   *
   * <code>.commonmodule.ControlSPC syncBackToGrid = 10;</code>
   */
  openfmb.commonmodule.ControlSPCOrBuilder getSyncBackToGridOrBuilder();

  /**
   * <pre>
   * Transition to island on grid loss enable
   * </pre>
   *
   * <code>.commonmodule.ControlSPC transToIslndOnGridLossEnabled = 11;</code>
   * @return Whether the transToIslndOnGridLossEnabled field is set.
   */
  boolean hasTransToIslndOnGridLossEnabled();
  /**
   * <pre>
   * Transition to island on grid loss enable
   * </pre>
   *
   * <code>.commonmodule.ControlSPC transToIslndOnGridLossEnabled = 11;</code>
   * @return The transToIslndOnGridLossEnabled.
   */
  openfmb.commonmodule.ControlSPC getTransToIslndOnGridLossEnabled();
  /**
   * <pre>
   * Transition to island on grid loss enable
   * </pre>
   *
   * <code>.commonmodule.ControlSPC transToIslndOnGridLossEnabled = 11;</code>
   */
  openfmb.commonmodule.ControlSPCOrBuilder getTransToIslndOnGridLossEnabledOrBuilder();

  /**
   * <pre>
   * Enable voltage set point
   * </pre>
   *
   * <code>.commonmodule.ControlSPC voltageSetPointEnabled = 12;</code>
   * @return Whether the voltageSetPointEnabled field is set.
   */
  boolean hasVoltageSetPointEnabled();
  /**
   * <pre>
   * Enable voltage set point
   * </pre>
   *
   * <code>.commonmodule.ControlSPC voltageSetPointEnabled = 12;</code>
   * @return The voltageSetPointEnabled.
   */
  openfmb.commonmodule.ControlSPC getVoltageSetPointEnabled();
  /**
   * <pre>
   * Enable voltage set point
   * </pre>
   *
   * <code>.commonmodule.ControlSPC voltageSetPointEnabled = 12;</code>
   */
  openfmb.commonmodule.ControlSPCOrBuilder getVoltageSetPointEnabledOrBuilder();

  /**
   * <pre>
   * Start time
   * </pre>
   *
   * <code>.commonmodule.ControlTimestamp startTime = 13 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the startTime field is set.
   */
  boolean hasStartTime();
  /**
   * <pre>
   * Start time
   * </pre>
   *
   * <code>.commonmodule.ControlTimestamp startTime = 13 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The startTime.
   */
  openfmb.commonmodule.ControlTimestamp getStartTime();
  /**
   * <pre>
   * Start time
   * </pre>
   *
   * <code>.commonmodule.ControlTimestamp startTime = 13 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.commonmodule.ControlTimestampOrBuilder getStartTimeOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.EnterServiceAPC enterServiceOperation = 14;</code>
   * @return Whether the enterServiceOperation field is set.
   */
  boolean hasEnterServiceOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.EnterServiceAPC enterServiceOperation = 14;</code>
   * @return The enterServiceOperation.
   */
  openfmb.commonmodule.EnterServiceAPC getEnterServiceOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.EnterServiceAPC enterServiceOperation = 14;</code>
   */
  openfmb.commonmodule.EnterServiceAPCOrBuilder getEnterServiceOperationOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.HzWAPC hzWOperation = 15;</code>
   * @return Whether the hzWOperation field is set.
   */
  boolean hasHzWOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.HzWAPC hzWOperation = 15;</code>
   * @return The hzWOperation.
   */
  openfmb.commonmodule.HzWAPC getHzWOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.HzWAPC hzWOperation = 15;</code>
   */
  openfmb.commonmodule.HzWAPCOrBuilder getHzWOperationOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.LimitWAPC limitWOperation = 16;</code>
   * @return Whether the limitWOperation field is set.
   */
  boolean hasLimitWOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.LimitWAPC limitWOperation = 16;</code>
   * @return The limitWOperation.
   */
  openfmb.commonmodule.LimitWAPC getLimitWOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.LimitWAPC limitWOperation = 16;</code>
   */
  openfmb.commonmodule.LimitWAPCOrBuilder getLimitWOperationOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.PFSPC pFOperation = 17;</code>
   * @return Whether the pFOperation field is set.
   */
  boolean hasPFOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.PFSPC pFOperation = 17;</code>
   * @return The pFOperation.
   */
  openfmb.commonmodule.PFSPC getPFOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.PFSPC pFOperation = 17;</code>
   */
  openfmb.commonmodule.PFSPCOrBuilder getPFOperationOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.TmHzCSG tmHzTripOperation = 18;</code>
   * @return Whether the tmHzTripOperation field is set.
   */
  boolean hasTmHzTripOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.TmHzCSG tmHzTripOperation = 18;</code>
   * @return The tmHzTripOperation.
   */
  openfmb.commonmodule.TmHzCSG getTmHzTripOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.TmHzCSG tmHzTripOperation = 18;</code>
   */
  openfmb.commonmodule.TmHzCSGOrBuilder getTmHzTripOperationOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.TmVoltCSG tmVoltTripOperation = 19;</code>
   * @return Whether the tmVoltTripOperation field is set.
   */
  boolean hasTmVoltTripOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.TmVoltCSG tmVoltTripOperation = 19;</code>
   * @return The tmVoltTripOperation.
   */
  openfmb.commonmodule.TmVoltCSG getTmVoltTripOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.TmVoltCSG tmVoltTripOperation = 19;</code>
   */
  openfmb.commonmodule.TmVoltCSGOrBuilder getTmVoltTripOperationOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.VarSPC vArOperation = 20;</code>
   * @return Whether the vArOperation field is set.
   */
  boolean hasVArOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.VarSPC vArOperation = 20;</code>
   * @return The vArOperation.
   */
  openfmb.commonmodule.VarSPC getVArOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.VarSPC vArOperation = 20;</code>
   */
  openfmb.commonmodule.VarSPCOrBuilder getVArOperationOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.VoltVarCSG voltVarOperation = 21;</code>
   * @return Whether the voltVarOperation field is set.
   */
  boolean hasVoltVarOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.VoltVarCSG voltVarOperation = 21;</code>
   * @return The voltVarOperation.
   */
  openfmb.commonmodule.VoltVarCSG getVoltVarOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.VoltVarCSG voltVarOperation = 21;</code>
   */
  openfmb.commonmodule.VoltVarCSGOrBuilder getVoltVarOperationOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.VoltWCSG voltWOperation = 22;</code>
   * @return Whether the voltWOperation field is set.
   */
  boolean hasVoltWOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.VoltWCSG voltWOperation = 22;</code>
   * @return The voltWOperation.
   */
  openfmb.commonmodule.VoltWCSG getVoltWOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.VoltWCSG voltWOperation = 22;</code>
   */
  openfmb.commonmodule.VoltWCSGOrBuilder getVoltWOperationOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.WVarCSG wVarOperation = 23;</code>
   * @return Whether the wVarOperation field is set.
   */
  boolean hasWVarOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.WVarCSG wVarOperation = 23;</code>
   * @return The wVarOperation.
   */
  openfmb.commonmodule.WVarCSG getWVarOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.WVarCSG wVarOperation = 23;</code>
   */
  openfmb.commonmodule.WVarCSGOrBuilder getWVarOperationOrBuilder();
}
